### Enumeration

# Ggit FileMode

since: 1.0

#### Declaration

    enum Ggit.FileMode

#### Description

No description available.

Available since: 1.0

#### Members

`GGIT_FILE_MODE_UNREADABLE`
  No description available.
  - Value: `0`
  - Nickname: `unreadable`
  - Available since: 1.0
`GGIT_FILE_MODE_TREE`
  No description available.
  - Value: `16384`
  - Nickname: `tree`
  - Available since: 1.0
`GGIT_FILE_MODE_BLOB`
  No description available.
  - Value: `33188`
  - Nickname: `blob`
  - Available since: 1.0
`GGIT_FILE_MODE_BLOB_EXECUTABLE`
  No description available.
  - Value: `33261`
  - Nickname: `blob-executable`
  - Available since: 1.0
`GGIT_FILE_MODE_LINK`
  No description available.
  - Value: `40960`
  - Nickname: `link`
  - Available since: 1.0
`GGIT_FILE_MODE_COMMIT`
  No description available.
  - Value: `57344`
  - Nickname: `commit`
  - Available since: 1.0